/* demo0g.c : demos de EZ-Draw reecrits en gtk+ 2.x
 *
 * Edouard.Thiel@lif.univ-mrs.fr - 13/05/2009 - version 0.9
 *
 * Compilation sous Unix :
 *     gcc -Wall demo0g.c -o demo0g `pkg-config gtk+-2.0 --cflags --libs`
 *
 * This program is free software under the terms of the
 * GNU Lesser General Public License (LGPL) version 2.1.
*/

#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>


int main (int argc, char *argv[])
{
    GtkWidget *win1;

    /* Initialise gtk et analyse la ligne de commande */
    gtk_init (&argc, &argv);

    /* Cree une fenetre, donne un titre et une taille */
    win1 = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_window_set_title (GTK_WINDOW (win1), "Demo 0g : Hello World");
    gtk_window_set_default_size (GTK_WINDOW (win1), 400, 300);

    /* Le bouton "fermer" fera sortir de la boucle d'evenements */
    g_signal_connect (G_OBJECT (win1), "destroy", gtk_main_quit, NULL);

    /* Rend visible la fenetre */
    gtk_widget_show (win1);

    /* Boucle d'evenements qui fait "vivre" la fenetre */
    gtk_main ();

    exit (0);
}

