@REM Script pour windows appelant la commande make pour Makefile.win

@REM On fixe les variables d'environnement EZG_CFLAGS et EZG_LIBS
@REM utilisees par Makefile.win en executant pkg-config vers des fichiers.

@ pkg-config gtk+-2.0 --cflags > ezg-cflags.txt
@ pkg-config gtk+-2.0 --libs   > ezg-libs.txt
@ set /p EZG_CFLAGS=<ezg-cflags.txt
@ set /p EZG_LIBS=<ezg-libs.txt

@REM Sous Unix on ferait plus simplement :
@REM   export EZG_CFLAGS=`pkg-config gtk+-2.0 --cflags`
@REM Un equivalent est possible sous Windows :
@REM   for /F "usebackq delims=!" %i in (`pkg-config gtk+-2.0 --cflags --libs`) do set EZG_CFLAGS=%i%

@ mingw32-make -f Makefile.win %*

